# LaserPeng webpage, static part
html_init = """
  <!DOCTYPE html>
  <html lang="de">
    <head>
      <meta charset="utf-8" />
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <h3> -- ridolfa.eu -- </h3>
      <h1> -- LaserPeng -- </h1>
    </head>
    <style>
      html{
        display:inline-block;
        margin: 0px auto;
        text-align: center;
      }
      h1{
        color: #0F3376;
        padding: 2vh;
      }
      p{
        font-size: 1.5rem;
      }
      .button{
        display: inline-block;
        background-color: #e7bd3b;
        border: none;
        border-radius: 2px;
        color: white;
        padding: 8px 20px;
        text-decoration: none;
        font-size: 24px;
        margin: 2px;
        cursor: pointer;
      }
      .button2{
        background-color: #4286f4;
      }
    </style>
"""
# LaserPeng webpage, dynamic part.
# Expressions in {} will be replaced by specific values.
html_body = """
    <body>
     <p>
        <a href="/?act={Result}"><button class="button button2">Ergebnis</button></a>
        <a <h3>{Ticks}</h3> </a>
     </p>
     <form>
       <fieldset>
         <h2>Spiel wählen</h2>
         <p><button type="submit" name={action} value={Color} class="button button2" >Farbe</button></p>
         <p><button type="submit" name={action} value={ColPatt} class="button" >Farbmuster</button></p>
         <p><button type="submit" name={action} value={RunPosi} class="button" >Lfd Keiler</button></p>
       </fieldset>
     </form>
    </body>
"""

"""
## for test purpose: 
## uncomment and run as single python script to create a file with the static website
import config as cfg
fd = html_body.format(**cfg.data)  #replaces dict items of data in the html string
html = html_init+fd
f = open("webpage.html","w")
f.write(html)
f.close()
"""