import config as cfg


class Pages:

    def game(self):
        html_static = cfg.HTML_HEAD + """
        <style>            
            html{
                display:inline-block;
                text-align: center;
            }

            h2{color: green; }

            .btn{
                background-color: #e7bd3b;
                color: white;
                font-size: 1.3rem;
                margin: 5px;
                cursor: pointer;
                width: 9rem;
            }

            .btn2{ background-color: #4286f4;}
            .btn-hover:hover{ background-color: #3e8e41;}
        </style>
        """
        # Expressions in {} will be replaced by specific values.
        html_dynamic = """
        <body>
            <form>
                <fieldset>
                     <h2>{SelectPageTitle}</h2>
                     <p><button type="submit" name=act value={RandRing_ID} class="btn btn-hover">{RandRing_Name}</button></p>
                     <p><button type="submit" name=act value={ColPatt_ID} class="btn btn-hover">{ColPatt_Name}</button></p>
                     <p><button type="submit" name=act value={RunPosi_ID} class="btn btn-hover">{RunPosi_Name}</button></p>
                </fieldset>
            </form>
            <p> {LastResults} </p> 
        </body>
        """
        return html_static, html_dynamic

    def intro(self):
        html_static = cfg.HTML_HEAD_POLL + cfg.HTML_RINGS_STYLE + """                   
        <body>
            <h1>LaserPeng</h1>
            <div class="circle large" >
                <div class="circle medium" >
                    <div class="circle small" >
                        <div class="circle tiny" > </div >
                    </div >
                </div >
        </body>
        </html>
        """
        html_dynamic = ""
        return html_static, html_dynamic

    def result(self):
        html_static = cfg.HTML_HEAD_POLL + cfg.HTML_RINGS_STYLE

        # Expressions in {} will be replaced by specific values.
        html_dynamic = """
            <body>
            <h1>LaserPeng</h1>
            <div class="circle large" >
                <div class="circle medium" >
                    <div class="circle small"> 
                        <a href="/?act={Result_ID}"</a>
                        <a <h2>{Ticks}</h2> </a>                    
                    </div >
                </div >
            </div >
        </body>
        </html>
        """
        return html_static, html_dynamic


